package com.bocloud.nms.model.veeam;

import com.bocloud.nms.enums.EPlatformType;
import com.bocloud.nms.enums.EVmwareInventoryType;

import java.util.Date;

public class BackupObjectModel {

    private String id;
    private String name;
    private String type;
    private EPlatformType platformName;
    private String platformId;
    private Integer restorePointsCount;
    private String objectId;
    private EVmwareInventoryType viType;
    private String path;
    private String jobName;
    private String repositoryName;
    private Date creationTime;
    private String backupId;

    public String getBackupId() {
        return backupId;
    }

    public void setBackupId(String backupId) {
        this.backupId = backupId;
    }

    public String getJobName() {
        return jobName;
    }

    public void setJobName(String jobName) {
        this.jobName = jobName;
    }

    public String getRepositoryName() {
        return repositoryName;
    }

    public void setRepositoryName(String repositoryName) {
        this.repositoryName = repositoryName;
    }

    public Date getCreationTime() {
        return creationTime;
    }

    public void setCreationTime(Date creationTime) {
        this.creationTime = creationTime;
    }

    public String getObjectId() {
        return objectId;
    }

    public void setObjectId(String objectId) {
        this.objectId = objectId;
    }

    public EVmwareInventoryType getViType() {
        return viType;
    }

    public void setViType(EVmwareInventoryType viType) {
        this.viType = viType;
    }

    public String getPath() {
        return path;
    }

    public void setPath(String path) {
        this.path = path;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public EPlatformType getPlatformName() {
        return platformName;
    }

    public void setPlatformName(EPlatformType platformName) {
        this.platformName = platformName;
    }

    public String getPlatformId() {
        return platformId;
    }

    public void setPlatformId(String platformId) {
        this.platformId = platformId;
    }

    public Integer getRestorePointsCount() {
        return restorePointsCount;
    }

    public void setRestorePointsCount(Integer restorePointsCount) {
        this.restorePointsCount = restorePointsCount;
    }

    @Override
    public String toString() {
        return "BackupObjectModel{" +
                "id='" + id + '\'' +
                ", name='" + name + '\'' +
                ", type='" + type + '\'' +
                ", platformName=" + platformName +
                ", platformId='" + platformId + '\'' +
                ", restorePointsCount=" + restorePointsCount +
                ", objectId='" + objectId + '\'' +
                ", viType=" + viType +
                ", path='" + path + '\'' +
                '}';
    }
}

